karma-jquery
============

A Karma plugin - adapter for jQuery framework.

Installation
------------

Install the plugin from npm:

```sh
$ npm install karma-jquery-new --save-dev
```

Add `jquery` to the `plugins` property in your Karma configuration:

```js
module.exports = function(config) {
  config.set({

    plugins: ['karma-jquery-new']

   //...
```

---

Add `jquery` of the version you need to the `frameworks` property in your Karma configuration:
```js
module.exports = function(config) {
  config.set({

    frameworks: ['jquery-1.8.3']
    
    //...
```

Note: configure plugin under `karma-jquery-new` name, in the frameworks array speify as `jquery-<version>`. Current version of the package is bundled with following jQuery versions:
 * 1.6.4
 * 1.7.2
 * 1.8.2
 * 1.8.3
 * 1.9.0
 * 1.9.1
 * 1.10.0
 * 1.10.1
 * 1.10.2
 * 1.11.0
 * 1.11.1
 * 2.0.0
 * 2.0.1
 * 2.0.2
 * 2.0.3
 * 2.1.0
 * 2.1.1

---

__This repository just update new jquery version from [karma-jquery](https://github.com/scf2k/karma-jquery). I've post pull-request for him but seem link he's not here. So thanks for his repository.__
